Bug 1905626 (CVE-2020-29482)

Summary: CVE-2020-29482 xen: Xenstore: wrong path length check (XSA-323)
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jforbes, m.a.young, robinlee.sysu, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-15 22:19:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1908096    
Bug Blocks: 1903644    

Description Guilherme de Almeida Suckevicz 2020-12-08 17:16:10 UTC
A guest may access xenstore paths via absolute paths containing a full pathname, or via a relative path, which implicitly includes /local/domain/$DOMID for their own domain id.  Management tools must access paths in guests' namespaces, necessarily using absolute paths. oxenstored imposes a path name limit which is applied solely to the relative or absolute path specified by the client.  Therefore, a guest can create paths in its own namespace which are too long for management tools to access.

Comment 1 Guilherme de Almeida Suckevicz 2020-12-15 20:06:51 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/12/15/6

Comment 2 Guilherme de Almeida Suckevicz 2020-12-15 20:07:32 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1908096]

Comment 3 Product Security DevOps Team 2020-12-15 22:19:39 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.